package app;

import java.io.IOException;
import java.io.InputStream;

public class SerialReader implements Runnable{
    InputStream in;
    String returned;
    byte LSB, MSB;
    boolean cteno=true;
    boolean prvni=true;
    boolean druhy=false;
    
    public SerialReader(InputStream in){
        this.in = in;
    }
    
    public void run(){
        byte[] buffer = new byte[1024];
        int len = 0;
        try{
            while( (len = this.in.read(buffer)) > -1){
            	if(len>0){
            		if(cteno){
            			if(prvni){
            				returned = new String(buffer,0,len);
            				prvni=false;
            				druhy=true;
            				System.out.println("READ 1st "+returned);
            			}else if(druhy){
            				String buff=new String(buffer,0,len);
            				returned += buff;
            				prvni=false;
            				druhy=false;
            				System.out.println("READ BUF1 " + buff);
            				System.out.println("READ 2nd "+returned);
            			}else{
            				String buff=new String(buffer,0,len);
            				returned += buff;
            				prvni=true;
            				druhy=false;
            				cteno=false;
            				System.out.println("READ BUF2 " + buff);
            				System.out.println("READ ALL "+returned);
            			}
            		}
            	}
            }
        }catch(IOException e){
            e.printStackTrace();
        }            
    }
    
    public String getReturned(){
    	String ret = returned;
    	String outp="";
    	String getRet=null;
    	for(int i=0;i<ret.length();i++)
    		if(Character.isDigit(ret.charAt(i))){
    			outp+=ret.charAt(i);
    		}
    	getRet=outp;
    	cteno=true;
    	System.out.println("getRet "+getRet);
    	return getRet;
    }
}